Name: sam-nagios
Summary:  Metapackage for SAM Nagios service
Version: 1.23.0
Release: 2%{?dist}
License: ASL 2.0
Group: System/Middleware
BuildArch: noarch

PreReq: httpd >= 2.0.52

# SAM prereq
Requires: mysql51
Requires: mysql51-devel
Requires: mysql51-server
Requires: pnp4nagios >= 0.4.12-2
Requires: nagios-oat-cgi

# These are added here instead of packages that actually need them to allow usage of either 
# MySQL or Oracle depending on the metapackage used.
Requires: perl-DBD-MySQL
Requires: MySQL-python

# SAM
Requires: glite-yaim-nagios >= 1.11.2-1
Requires: atp >= 1.27.19-1
Requires: poem >= 0.9.91-1
Requires: poem-sync >= 0.9.91-1
Requires: grid-monitoring-config-gen >= 0.95.0-1
Requires: msg-nagios-bridge >= 1.0.17-1
Requires: mywlcg >= 1.5.6-3
Requires: nagios-gocdb-downtime >= 0.23.1-1
Requires: sam-sync >= 1.0.9-1
Requires: sam-release >= 1.23.0-1
Requires: voms-htpasswd >= 0.7-1
Requires: mrs >= 1.3.1-1
Requires: grid-monitoring-fm-nagios-local >= 0.14.1-1
Requires: sam-db

# EGI/SAM Probes
Requires: python-GridMon
Requires: grid-monitoring-probes-ch.cern.sam >= 1.4.0-1
Requires: grid-monitoring-org.activemq-probes >= 0.15-1
Requires: grid-monitoring-org.nagiosexchange-probes >= 0.19-1
Requires: grid-monitoring-probes-hr.srce >= 0.38.0-1
Requires: grid-monitoring-probes-cadist >= 0.6.0-1
Requires: grid-monitoring-probes-eu.egi.sec >= 1.0.11-24

# WN framework, to be removed
Requires: emi-cream-nagios >= 1.0.1-5

# UMD deps
Requires: glite-yaim-clients >= 5.2.0-1
Requires: glite-ce-cream-cli >= 1.14.1-2
Requires: emi-wms-nagios >= 3.5.0-3
Requires: nagios-plugins-bdii >= 1.0.14-1
Requires: nagios-plugins-emi.glexec >= 0.3.0-1
Requires: nagios-plugins-emi.glexec-config
Requires: nagios-plugins-lfc >= 0.9.5-2
Requires: nagios-plugins-argus >= 1.1.0-2
Requires: nagios-plugins-dg >= 1.0.1-1

# updated UMD packages
Requires: unicore-nagios-plugins >= 2.3.2-0
Requires: glue-validator >= 2.0.25-0
Requires: nagios-plugins-fts >= 3.2.30-1
Requires: qcg-comp-nagios-probe >= 3.4.0-9
Requires: qcg-ntf-nagios-probe >= 3.4.0-2
Requires: qcg-broker-nagios-probe >= 3.4.0-3
Requires: egi-mpi-nagios >= 0.0.7-4.1
Requires: emi.dcache.srm-probes >= 1.0.1-1
Requires: nordugrid-arc-nagios-plugins >= 1.8.1-1 
Requires: nordugrid-arc-nagios-plugins-egi >= 1.8.1-1

# temp fix for emi-wms-nagios
Requires: python-ctypes

# Third party
Requires: nagios-plugins-disk
Requires: nagios-plugins-dummy
Requires: nagios-plugins-file_age
Requires: nagios-plugins-ldap
Requires: nagios-plugins-ping
Requires: nagios-plugins-procs
Requires: nagios-plugins-ssh
Requires: nagios-plugins-tcp

# This is needed by myegi and mywlcg, while both are served without ssl. Should be moved to nagios-oat-cgi and nagios.
Requires: mod_ssl 

# New obsoletes
Obsoletes: nagios-plugins-wn-rep
Obsoletes: gstat-validation

Obsoletes: egee-NAGIOS
Obsoletes: metric-desc-db
Obsoletes: metric-desc-db-synchronizer
Obsoletes: nagios-proxy-refresh 
Obsoletes: gstat-core
Obsoletes: myegi
Obsoletes: unicore-monitoring-probes
Obsoletes: grid-monitoring-fm-nagios-remote
Obsoletes: mddb-synchronizer
Obsoletes: mddb-parser
Obsoletes: mddb
Obsoletes: perl-MIG
Obsoletes: atp-web

Conflicts: sam-sitenagios
Conflicts: sam-gridmon
Conflicts: egee-NAGIOS-WEB
Conflicts: egee-SNAGIOS

%description
A standard SAM-Nagios installations is composed by the following major components:
- Nagios Core
- Aggregator Topology Provider (ATP)
- Profile Management (POEM)
- Metric Result Store (MRS)
- Nagios Config Generator (NCG)
- Grid Probes

The SAM-Nagios node type can be configured as:
- NGI SAM-Nagios : to monitor all sites/services belonging to a given region
- Site SAM-Nagios : to monitor all sites/services made available by one site
- VO SAM-Nagios : to monitor all sites/services that support a given VOs (list of services can be based on VO feed or not)

%files

%changelog
* Sun Nov 16 2014 Emir Imamagic <eimamagi@srce.hr> - 1.23.0-2
- Further cleaning of requirements
* Tue Nov 11 2014 Emir Imamagic <eimamagi@srce.hr> - 1.23.0-1
- Initial Update-23 release, removing all probes not in our repo
* Fri Sep 27 2013 Emir Imamagic <eimamagi@srce.hr> - 1.22.0-9
- SAM-3320 Integrate new QCG probe for broker
* Tue Jun 4 2013 Marian Babik <marian.babik@cern.ch> - 1.22.0-8
- SAM-3282 sam-nagios: add missing deps for emi probes
- SAM-3278 Add LFC-Cleanup probe to the nagios-plugins-lfc
* Fri May 17 2013 Marian Babik <marian.babik@cern.ch> - 1.22.0-7
- Added 3rd party on various nagios-plugins, updated EMI package versions
* Fri May 10 2013 Emir Imamagic <eimamagi@srce.hr> - 1.22.0-6
- SAM-3267 eu.egi.mpi.EnvSanityCheck is failing
* Mon May 6 2013 Emir Imamagic <eimamagi@srce.hr> - 1.22.0-5
- SAM-3245 sam-nagios: import packages and add EMI probes dependencies
  added WN-rep package, modified arc and cream versions
* Tue Apr 30 2013 Marian Babik <marian.babik@cern.ch> - 1.22.0-4
- SAM-3245 sam-nagios: import packages and add EMI probes dependencies
* Mon Mar 18 2013 Paloma Fuente <pfuentef@cern.ch> - 1.22.0-3
- SAM-3110 Integrate Argus probes
* Mon Mar 11 2013 Paloma Fuente <pfuentef@cern.ch> - 1.22.0-2
- Commented out LFC dependencies
- SAM-3117 Integrate LFC probe (requires nagios-plugins-lfc-0.9.5-1 and nagios-plugins-lcgdm-common-0.9.5-1)
* Fri Feb 22 2013 Emir Imamagic <eimamagi@srce.hr> - 1.21.1-17
- SAM-3115 Integrate GLEXEC probe
* Tue Feb 19 2013 Paloma Fuente <pfuentef@cern.ch> - 1.21.1-16
- SAM-1601 required sam-db
* Tue Feb 19 2013 Marian Babik <marian.babik@cern.ch> - 1.21.1-15
- Added grid-monitoring-probes-cadist
* Fri Feb 15 2013 Anastasios Andronidis <andronat@grid.auth.gr> - 1.21.1-14
- Required grid-monitoring-probes-eu.egi.sec again
* Fri Dec 14 2012 Marian Babik <marian.babik@cern.ch> - 1.21.1-11
- Merged changes from branch 
* Fri Dec 14 2012 Marian Babik <marian.babik@cern.ch> - 1.20.0-2
- Merged changes from branch 
* Fri Nov 16 2012 Paloma Fuente <pfuentef@cern.ch> - 1.20.0-1
- Add grid-monitoring-org.activemq-probes package dep to sam-nagios
* Sun Jul 22 2012 Emir Imamagic <eimamagi@srce.hr> - 1.19.3-1
- SAM-2833 Add QCG packages deps to sam-nagios
* Fri Jul 20 2012 Christos Triantafyllidis <ctria@grid.auth.gr> - 1.19.2-1
- Removed requirement for info-provider-nagios
* Fri Jul 13 2012 Pedro Andrade<pedro.andrade@cern.ch> - 1.19.1-1
- Fixed SAM-2781 and SAM-2783
* Thu Jul 12 2012 Christos Triantafyllidis <ctria@grid.auth.gr> 1.19.0-1
- Obsoleted perl-MIG (perl-Messaging-Message will be fetched instead)
* Thu Jun 14 2012 Wojciech Lapka <wojciech.lapka@cern.ch> 1.18.4-1
- Initial release of sam-sitenagios
* Wed May 23 2012 Wojciech Lapka <wojciech.lapka@cern.ch> 1.18.3-1
- sam-nagios upgrade fails from R17 (SAM-2675)
* Fri May 04 2012 Wojciech Lapka <wojciech.lapka@cern.ch> 1.18.2-1
- Remove MDDB configuration (SAM-2659)
* Tue Mar 20 2012 Emir Imamagic <eimamagi@srce.hr> 1.17.2-1
- Added sam-sync package (SAM-2519)
- Added DesktopGrids package nagios-plugins-dg (SAM-2514)
- Obsoleted grid-monitoring-fm-nagios-remote (SAM-2515)
* Tue Mar 13 2012 Christos Triantafyllidis <ctria@grid.auth.gr> 1.17.0-1
- SAM update 17
- Replaced unicore-monitoring-probes with unicore-nagios-plugins
  https://tomtools.cern.ch/jira/browse/SAM-2368
* Wed Oct 19 2011 Wojciech Lapka <wojciech.lapka@cern.ch> 1.15.3-1
- https://tomtools.cern.ch/jira/browse/SAM-2069
* Mon Oct 17 2011 Wojciech Lapka <wojciech.lapka@cern.ch> 1.15.2-1
- Package nagios2metricstore renamed to mrs
* Wed Oct 5 2011 Marian Babik <marian.babik@cern.ch> 1.15.1-1
- Added requires poem and poem_sync 
* Tue Oct 4 2011 Christos Triantafyllidis <ctria@grid.auth.gr> 1.15.0-1
- SAM update 15
- Replaced grid-monitoring-probes-org.sam.sec with grid-monitoring-probes-eu.egi.sec (SAM-1804 and SAM-2001)
* Wed Sep 14 2011 Wojciech Lapka <Wojciech.Lapka@cern.ch> 1.14.0-2
- https://tomtools.cern.ch/jira/browse/SAM-1919
* Fri Sep 9 2011 Christos Triantafyllidis <ctria@grid.auth.gr> 1.14.0-1
- Initial release
- Migration from egee-NAGIOS metapackage
